import React from 'react'
import {MultiList, SingleList, ToggleButton} from '@appbaseio/reactivesearch'
import {Card, Inline, Stack} from '@sanity/ui'

const AllFilters = () => (
  <>
    <Stack paddingY={2} space={3}>
      <Inline space={2}>
        <ToggleButton
          componentId="digitized"
          dataField="isDigitized"
          data={[{label: 'Only digitized', value: 'Digitalisert'}]}
          title=""
          defaultValue={['Digitalisert']}
          multiSelect
          showFilter
          filterLabel="Digitized"
          URLParams={false}
        />
        <ToggleButton
          componentId="zoom"
          dataField="hasZoom"
          data={[{label: 'With zoom', value: 'Med DeepZoom'}]}
          defaultValue={['Med DeepZoom']}
          title=""
          showFilter
          filterLabel="Digitized"
          URLParams={false}
        />
      </Inline>
    </Stack>
    <Card padding={[2,3]} marginY={[2,3]}>
      <SingleList
        dataField="type.exact"
        title="Types"
        componentId="types"
        queryFormat="and"
        react={{
          and: ['digitized', 'zoom'],
        }}
      />   
    </Card>
    <Card padding={[2,3]} marginY={[2,3]}>
      <MultiList
        dataField="maker.exact"
        showSearch={false}
        title="Makers"
        componentId="makers"
        queryFormat="or"
        react={{
          and: ['search', 'digitized', 'zoom', 'types', 'makers'],
        }}
      />
    </Card>
  </>
)

const Filters = () => {
  // eslint-disable-next-line no-unused-vars
  // const [isVisible, setIsVisible] = useState(true)

  /* const handleMobileView = () => {
    setIsVisible(!isVisible)
  } */

  return (
    <div>
      {/* <button
        type='button'
        onClick={handleMobileView}
        className={buttonStyles}
      >
        {`Show ${isVisible ? 'Results' : 'Filters'}`}
      </button> */}
      {/* <div className={filterWrapper(isVisible)}> */}
      <div>
        <AllFilters />
      </div>
    </div>
  )
}

export default Filters
